--- a/R-base.spec	2024-10-22 02:20:26.145868928 +0300
+++ b/R-base.spec	2024-10-22 02:20:26.163869126 +0300
@@ -295,6 +295,7 @@
 Group: Sciences/Mathematics
 Requires: R-base = %version-%release
 Requires: xdg-utils
+BuildArch: noarch
 
 %description -n R-doc-html
 R is `GNU S' - A language and environment for statistical computing
--- a/R-base.spec	2024-10-22 02:20:26.197869499 +0300
+++ b/R-base.spec	2024-10-22 02:20:26.223869785 +0300
@@ -329,6 +329,7 @@
 Group: Sciences/Mathematics
 Conflicts: R-base > %version, R-base < %version
 Requires: xdg-utils
+BuildArch: noarch
 
 %description -n R-doc-pdf
 R is `GNU S' - A language and environment for statistical computing
--- a/aptitude.spec	2024-10-22 02:20:26.761875694 +0300
+++ b/aptitude.spec	2024-10-22 02:20:26.766875749 +0300
@@ -37,6 +37,7 @@
 #BuildArch: noarch
 Conflicts: %name < %version-%release
 Conflicts: %name > %version-%release
+BuildArch: noarch
 
 %description doc
 aptitude is a terminal-based apt frontend.  This package contains
--- a/arrow.spec	2024-10-22 02:20:26.816876298 +0300
+++ b/arrow.spec	2024-10-22 02:20:26.850876672 +0300
@@ -244,6 +244,7 @@
 %package glib-doc
 Summary: Documentation for Apache Arrow GLib
 Group: Development/Documentation
+BuildArch: noarch
 
 %description glib-doc
 Documentation for Apache Arrow GLib.
--- a/blender.spec	2024-10-22 02:20:27.400882713 +0300
+++ b/blender.spec	2024-10-22 02:20:27.420882933 +0300
@@ -228,6 +228,7 @@
 Summary: Documentation for Blender
 Group: Documentation
 Requires: %name = %EVR
+BuildArch: noarch
 
 %description doc
 Fully integrated creation suite, offering a broad range of essential
--- a/breeze-gtk.spec	2024-10-22 02:20:27.520884031 +0300
+++ b/breeze-gtk.spec	2024-10-22 02:20:27.525884086 +0300
@@ -35,6 +35,7 @@
 Provides: gtk2-theme-breeze = %version-%release
 Provides: gtk3-theme-breeze = %version-%release
 Provides: gtk4-theme-breeze = %version-%release
+BuildArch: noarch
 %description -n gtk-theme-breeze
 %{description}
 
--- a/coinor-osi.spec	2024-10-22 02:20:28.057889929 +0300
+++ b/coinor-osi.spec	2024-10-22 02:20:28.066890028 +0300
@@ -94,6 +94,7 @@
 Summary:       Documentation files for %name
 
 Requires:      %{name} = %EVR
+BuildArch: noarch
 
 %description   doc
 Osi (Open Solver Interface) provides an abstract base class to a generic linear
--- a/dart.spec	2024-10-22 02:20:28.251892060 +0300
+++ b/dart.spec	2024-10-22 02:20:28.256892115 +0300
@@ -63,6 +63,7 @@
 %package docs
 Summary: Documentation for %name
 Group: Documentation
+BuildArch: noarch
 
 %description docs
 %summary
--- a/ddd.spec	2024-10-22 02:20:28.354893191 +0300
+++ b/ddd.spec	2024-10-22 02:20:28.360893257 +0300
@@ -32,6 +32,7 @@
 Summary: HTML documentation for %name
 Group: Development/Other
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %package doc-ps
 Summary: PostScript documentation for %name
--- a/dogtag-pki.spec	2024-10-22 02:20:28.590895783 +0300
+++ b/dogtag-pki.spec	2024-10-22 02:20:28.624896157 +0300
@@ -236,6 +236,7 @@
 Requires: dogtag-pki-server
 Provides: pki-ca = %EVR
 Obsoletes: pki-ca < %pki_rebranded_version
+BuildArch: noarch
 
 %description -n dogtag-pki-ca
 The Certificate Authority (CA) is a required Dogtag PKI subsystem which issues,
--- a/dogtag-pki.spec	2024-10-22 02:20:28.624896157 +0300
+++ b/dogtag-pki.spec	2024-10-22 02:20:28.647896409 +0300
@@ -393,6 +393,7 @@
 Group: Networking/Other
 Provides: pki-server-theme = %EVR
 Obsoletes: pki-server-theme < %EVR
+BuildArch: noarch
 
 %description -n dogtag-pki-server-theme
 This Dogtag PKI Server Theme Package contains textual and graphical user
--- a/fontforge.spec	2024-10-22 02:20:29.776908810 +0300
+++ b/fontforge.spec	2024-10-22 02:20:29.781908865 +0300
@@ -64,6 +64,7 @@
 %package docs
 Summary: FontForge documentations
 Group: Publishing
+BuildArch: noarch
 
 %description docs
 FontForge documentations
--- a/fpc.spec	2024-10-22 02:20:29.974910985 +0300
+++ b/fpc.spec	2024-10-22 02:20:30.009911369 +0300
@@ -998,6 +998,7 @@
 %package docs
 Group: Documentation
 Summary: Free Pascal Compiler - Documentation
+BuildArch: noarch
 
 %description docs
 This package provides documentation for the Free Pascal Compiler in HTML
--- a/furnace.spec	2024-10-22 02:20:30.407915741 +0300
+++ b/furnace.spec	2024-10-22 02:20:30.412915795 +0300
@@ -57,6 +57,7 @@
 %package doc
 Group: Documentation
 Summary: Documentation files for furnace
+BuildArch: noarch
 
 %description doc
 These are the documentation files for the furnace chiptune synth.
--- a/ghc.spec	2024-10-22 02:20:30.709919058 +0300
+++ b/ghc.spec	2024-10-22 02:20:30.722919201 +0300
@@ -153,6 +153,7 @@
 %package doc
 Summary: Documentation for GHC
 Group: Development/Haskell
+BuildArch: noarch
 
 %description doc
 Preformatted documentation for the Glasgow Haskell Compiler
--- a/ghc.spec	2024-10-22 02:20:30.770919728 +0300
+++ b/ghc.spec	2024-10-22 02:20:30.785919893 +0300
@@ -147,6 +147,7 @@
 %package doc
 Summary: Documentation for GHC
 Group: Development/Haskell
+BuildArch: noarch
 
 %description doc
 Preformatted documentation for the Glasgow Haskell Compiler
--- a/ghc.spec	2024-10-22 02:20:30.837920464 +0300
+++ b/ghc.spec	2024-10-22 02:20:30.850920606 +0300
@@ -158,6 +158,7 @@
 %package doc
 Summary: Documentation for GHC
 Group: Development/Haskell
+BuildArch: noarch
 
 %description doc
 Preformatted documentation for the Glasgow Haskell Compiler
--- a/glib2.spec	2024-10-22 02:20:31.016922430 +0300
+++ b/glib2.spec	2024-10-22 02:20:31.036922649 +0300
@@ -173,6 +173,7 @@
 Provides: %name-devel-doc = %version
 Obsoletes: %name-devel-doc < %version
 Conflicts: %name < %version, %name > %version
+BuildArch: noarch
 #BuildArch: noarch
 
 %description doc
--- a/itpp.spec	2024-10-22 02:20:31.529928064 +0300
+++ b/itpp.spec	2024-10-22 02:20:31.538928163 +0300
@@ -81,6 +81,7 @@
 Summary: Documentation for %name
 Group: Documentation
 Requires: %libname = %version
+BuildArch: noarch
 
 %description doc
 This package contains the documentation for the IT++ as html and man pages.
--- a/java3d.spec	2024-10-22 02:20:31.955932743 +0300
+++ b/java3d.spec	2024-10-22 02:20:31.967932875 +0300
@@ -81,6 +81,7 @@
 Group:		Development/Java
 Requires:	%{name} = %{version}-%{release}
 Requires:	javapackages-tools
+BuildArch: noarch
 
 %description examples
 The Java 3D API.
--- a/kbd.spec	2024-10-22 02:20:32.145934830 +0300
+++ b/kbd.spec	2024-10-22 02:20:32.163935028 +0300
@@ -72,6 +72,7 @@
 %package -n %name-docs
 Group: Documentation
 Summary: Documentation for kbd
+BuildArch: noarch
 
 %description -n %name-docs
 Documentation for kbd
--- a/liberasurecode.spec	2024-10-22 02:20:38.261001995 +0300
+++ b/liberasurecode.spec	2024-10-22 02:20:38.265002039 +0300
@@ -22,6 +22,7 @@
 %package doc
 Summary: Documentation for %name
 Group: System/Libraries
+BuildArch: noarch
 
 %description doc
 The documentation for %name.
--- a/libltc.spec	2024-10-22 02:20:38.503004654 +0300
+++ b/libltc.spec	2024-10-22 02:20:38.507004697 +0300
@@ -38,6 +38,7 @@
 %package docs
 Summary: Developer's documentation for %name
 Group:   Development/Documentation
+BuildArch: noarch
 
 %description docs
 This package contains the documentation for %name.
--- a/libopencv.spec	2024-10-22 02:20:38.550005170 +0300
+++ b/libopencv.spec	2024-10-22 02:20:38.568005368 +0300
@@ -236,6 +236,7 @@
 Conflicts: lib%{bname}3.4-examples < %EVR
 Obsoletes: lib%{bname}3.4-examples < %EVR
 AutoReq:no
+BuildArch: noarch
 
 %description examples
 %Name means Intel(R) Open Source Computer Vision Library. It is a
--- a/libopenjpeg2.0.spec	2024-10-22 02:20:38.620005939 +0300
+++ b/libopenjpeg2.0.spec	2024-10-22 02:20:38.626006005 +0300
@@ -61,6 +61,7 @@
 Group: Development/Documentation
 #BuildArch: noarch
 Conflicts: %name < %version
+BuildArch: noarch
 
 %description devel-doc
 The %name-devel-doc package includes documentation necessary for
--- a/tclap.spec	2024-10-22 02:20:38.870008685 +0300
+++ b/tclap.spec	2024-10-22 02:20:38.874008729 +0300
@@ -37,6 +37,7 @@
 %package doc
 Summary: Documentation files for %name
 Group: Documentation
+BuildArch: noarch
 
 %description doc
 TCLAP is a small, flexible library that provides a simple interface for
--- a/libtracefs.spec	2024-10-22 02:20:38.916009190 +0300
+++ b/libtracefs.spec	2024-10-22 02:20:38.920009234 +0300
@@ -46,6 +46,7 @@
 %package doc
 Summary: %summary (Documentation)
 Group: Development/Documentation
+BuildArch: noarch
 
 %description doc
 %summary.
--- a/log4cplus.spec	2024-10-22 02:20:39.195012254 +0300
+++ b/log4cplus.spec	2024-10-22 02:20:39.202012331 +0300
@@ -54,6 +54,7 @@
 %package -n lib%name-devel-docs
 Summary: Development documentation for logging library to C++
 Group: Development/Documentation
+BuildArch: noarch
 
 %description -n lib%name-devel-docs
 log4cplus is a simple to use C++ logging API providing thread-safe,
--- a/mmg.spec	2024-10-22 02:20:39.765018515 +0300
+++ b/mmg.spec	2024-10-22 02:20:39.775018625 +0300
@@ -153,6 +153,7 @@
 Summary:        Development documentation for mmg3d
 Group:          Development/C
 Requires:       mmg3d = %EVR
+BuildArch: noarch
 
 %description -n mmg3d-devel-doc
 The mmg3d-devel-doc package contains the documentation for developing
--- a/opam.spec	2024-10-22 02:20:41.716039944 +0300
+++ b/opam.spec	2024-10-22 02:20:41.722040010 +0300
@@ -59,6 +59,7 @@
 Summary: Documentation files for %name
 Group: Documentation
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description doc
 The %name-doc package contains documentation for using %name.
--- a/openpace.spec	2024-10-22 02:20:41.958042602 +0300
+++ b/openpace.spec	2024-10-22 02:20:41.963042657 +0300
@@ -58,6 +58,7 @@
 %package docs
 Summary: Library for %name
 Group: Development/Documentation
+BuildArch: noarch
 
 %description docs
 %summary
--- a/openshadinglanguage.spec	2024-10-22 02:20:42.077043909 +0300
+++ b/openshadinglanguage.spec	2024-10-22 02:20:42.087044019 +0300
@@ -94,6 +94,7 @@
 %package doc
 Summary: Documentation for OpenShadingLanguage
 Group: Documentation
+BuildArch: noarch
 
 %description doc
 Open Shading Language (OSL) is a small but rich language
--- a/papers.spec	2024-10-22 02:20:42.585049489 +0300
+++ b/papers.spec	2024-10-22 02:20:42.590049544 +0300
@@ -49,6 +49,7 @@
 Summary: Documentation files for Papers
 Group: Documentation
 Requires: %name = %EVR
+BuildArch: noarch
 
 %description doc
 %{summary doc}
--- a/partio.spec	2024-10-22 02:20:42.627049950 +0300
+++ b/partio.spec	2024-10-22 02:20:42.634050027 +0300
@@ -58,6 +58,7 @@
 %package doc
 Summary: A library for particle IO and manipulation
 Group: Documentation
+BuildArch: noarch
 
 %description doc
 C++ (with python bindings) library for easily reading/writing/manipulating
--- a/pinephone-keyboard.spec	2024-10-22 02:20:43.253056826 +0300
+++ b/pinephone-keyboard.spec	2024-10-22 02:20:43.260056903 +0300
@@ -63,6 +63,7 @@
 Requires: %name = %version-%release
 
 ExcludeArch: armh ppc64le
+BuildArch: noarch
 
 %description doc
 This package contains documentation and scheme for
--- a/breeze-gtk.spec	2024-10-22 02:20:43.386058287 +0300
+++ b/breeze-gtk.spec	2024-10-22 02:20:43.391058342 +0300
@@ -29,6 +29,7 @@
 Provides: gtk2-theme-breeze = %version-%release
 Provides: gtk3-theme-breeze = %version-%release
 Provides: gtk4-theme-breeze = %version-%release
+BuildArch: noarch
 %description -n gtk-theme-breeze-education
 %{description}
 
--- a/qt-creator.spec	2024-10-22 02:20:44.598071599 +0300
+++ b/qt-creator.spec	2024-10-22 02:20:44.609071720 +0300
@@ -140,6 +140,7 @@
 %endif
 Requires: qt6-base-doc
 Requires: qt6-tools
+BuildArch: noarch
 
 %description doc
 Documentation for %name
--- a/qtfeedback.spec	2024-10-22 02:20:44.933075279 +0300
+++ b/qtfeedback.spec	2024-10-22 02:20:44.938075334 +0300
@@ -41,6 +41,7 @@
 Summary: Document for developing apps which will use Qt5 %qt_module
 Group: Development/KDE and QT
 Requires: %name-common = %EVR
+BuildArch: noarch
 %description doc
 This package contains documentation for Qt5 %qt_module
 
--- a/qxmpp-qt5.spec	2024-10-22 02:20:45.726083989 +0300
+++ b/qxmpp-qt5.spec	2024-10-22 02:20:45.734084077 +0300
@@ -59,6 +59,7 @@
 Group: Development/KDE and QT
 Conflicts: lib%name < %version
 Conflicts: lib%_name
+BuildArch: noarch
 
 %description doc
 QXmpp is a cross-platform C++ XMPP client library. It is based on Qt and
--- a/ruby.spec	2024-10-22 02:20:46.044087482 +0300
+++ b/ruby.spec	2024-10-22 02:20:46.062087679 +0300
@@ -213,6 +213,7 @@
 Summary:       Ruby manuals and documentation
 Group:         Development/Documentation
 Requires:      ruby = %_version-%release
+BuildArch: noarch
 
 %description   doc-html
 Ruby is an interpreted scripting language for quick and easy object-oriented
--- a/rust.spec	2024-10-22 02:20:46.121088327 +0300
+++ b/rust.spec	2024-10-22 02:20:46.138088514 +0300
@@ -130,6 +130,7 @@
 %package doc
 Summary: Documentation for Rust
 Group: Development/Documentation
+BuildArch: noarch
 # NOT BuildArch: noarch
 # Note, while docs are mostly noarch, some things do vary by target_arch.
 
--- a/simbody.spec	2024-10-22 02:20:46.534092864 +0300
+++ b/simbody.spec	2024-10-22 02:20:46.539092919 +0300
@@ -53,6 +53,7 @@
 %package docs
 Summary: Documentation for %name
 Group: Development/Documentation
+BuildArch: noarch
 
 %description docs
 %summary
--- a/swi-prolog.spec	2024-10-22 02:20:47.276101014 +0300
+++ b/swi-prolog.spec	2024-10-22 02:20:47.287101134 +0300
@@ -92,6 +92,7 @@
 Summary: Documentation for %name
 Requires: %name-nox = %version-%release
 AutoReqProv: no
+BuildArch: noarch
 
 %description doc
 Documentation for SWI-Prolog.
--- a/virtualbox.spec	2024-10-22 02:20:48.964119554 +0300
+++ b/virtualbox.spec	2024-10-22 02:20:48.994119884 +0300
@@ -329,6 +329,7 @@
 Summary: VirtualBox documentation
 Group: Documentation
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description doc
 This package contains VirtualBox User Manual.
--- a/vtk.spec	2024-10-22 02:20:49.164121751 +0300
+++ b/vtk.spec	2024-10-22 02:20:49.183121960 +0300
@@ -140,6 +140,7 @@
 %package doc
 Summary: Documentation for The Visualization Toolkit (VTK)
 Group: Development/Documentation
+BuildArch: noarch
 
 %description doc
 VTK is an open-source software system for image processing, 3D graphics, volume
--- a/vtk.spec	2024-10-22 02:20:49.183121960 +0300
+++ b/vtk.spec	2024-10-22 02:20:49.210122256 +0300
@@ -224,6 +224,7 @@
 Group: Development/Tools
 Requires: %name = %EVR
 %add_python3_req_skip numeric
+BuildArch: noarch
 
 %description examples
 VTK is an open-source software system for image processing, 3D graphics, volume
--- a/wireplumber.spec	2024-10-22 02:20:49.268122893 +0300
+++ b/wireplumber.spec	2024-10-22 02:20:49.280123025 +0300
@@ -51,6 +51,7 @@
 %package doc
 Summary: docs for the client library for WirePlumber
 Group: Documentation
+BuildArch: noarch
 
 %package -n lib%libname
 Summary: the client library for WirePlumber
--- a/wireplumber.spec	2024-10-22 02:20:49.351123805 +0300
+++ b/wireplumber.spec	2024-10-22 02:20:49.362123926 +0300
@@ -54,6 +54,7 @@
 %package doc
 Summary: docs for the client library for WirePlumber
 Group: Documentation
+BuildArch: noarch
 
 %package -n lib%libname
 Summary: the client library for WirePlumber
--- a/wvstreams.spec	2024-10-22 02:20:49.428124651 +0300
+++ b/wvstreams.spec	2024-10-22 02:20:49.442124804 +0300
@@ -76,6 +76,7 @@
 Group: Development/Documentation
 Requires: lib%name-devel = %version-%release
 Provides: %name-doxy-manual = %version-%release
+BuildArch: noarch
 %description -n lib%name-devel-doc
 WvStreams aims to be an efficient, secure, and easy-to-use library
 for doing network applications development.
--- a/z3.spec	2024-10-22 02:20:49.668127287 +0300
+++ b/z3.spec	2024-10-22 02:20:49.674127353 +0300
@@ -48,6 +48,7 @@
 %package -n lib%name-devel-docs
 Summary: Documentation for %name
 Group: Development/Documentation
+BuildArch: noarch
 
 %description -n lib%name-devel-docs
 Z3 is a high-performance theorem prover being developed at Microsoft
--- a/zinnia.spec	2024-10-22 02:20:49.730127968 +0300
+++ b/zinnia.spec	2024-10-22 02:20:49.741128089 +0300
@@ -116,6 +116,7 @@
 Requires:       libzinnia0 = %EVR
 Provides:       zinnia-tomoe = %{version}-%{release}
 Obsoletes:      zinnia-tomoe < 0.06-19
+BuildArch: noarch
 
 %description	tomoe-ja
 This package contains Japanese tomoe model files for %{name}.
